module modouttyp
  
  implicit none

  save

  ! SCALARS
  logical :: iprintctl(5)
  integer :: iprint,iprintinn,iprintout,mprint,ncomp,nprint

  ! ARRAYS
  character(len=80) :: solfnm

  public :: iniouttyp

contains

  ! ******************************************************************
  ! ******************************************************************
  
  subroutine iniouttyp()

    iprint = 10
    iprintout = iprint / 10
    iprintinn = mod( iprint, 10 )

    ncomp  =  6
    solfnm = ''

    iprintctl(1) = .true.  ! Banner
    iprintctl(2) = .true.  ! Parameters and problem processing
    iprintctl(3) = .true.  ! Warnings and errors messages
    iprintctl(4) = .true.  ! User-provided subs calls counters and timing
    iprintctl(5) = .false. ! Statistics files with a single table line

    open(10,err=100,file='.silent',status='old')
    close(10)

    iprint = 0
    iprintout = 0
    iprintinn = 0

    iprintctl(1:4) = .false.

100 continue

  end subroutine iniouttyp

  ! ******************************************************************
  ! ******************************************************************
  
end module modouttyp
